Codevisor Docs
Api reference

GET Navigation

GET/v1/navigation

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/navigation"
{  "eventCursor": 0,  "projects": [    {      "id": "string",      "name": "string",      "origin": "codevisor",      "createdAt": "string",      "locations": [        {          "id": "string",          "projectId": "string",          "serverId": "string",          "folderPath": "string",          "createdAt": "string",          "isGitRepository": true        }      ],      "repoUrl": "string",      "repoKey": "string",      "worktreeBase": {        "remote": "string",        "branch": "string"      },      "isScratch": true    }  ],  "sessions": [    {      "id": "string",      "projectId": "string",      "serverId": "string",      "harnessId": "string",      "harnessAccountId": "string",      "agentSessionId": "string",      "title": "string",      "origin": "codevisor",      "worktreeName": "string",      "workspaceId": "string",      "cwd": "string",      "configSelections": {        "property1": "string",        "property2": "string"      },      "unavailableConfigSelections": {        "property1": "string",        "property2": "string"      },      "createdAt": "string",      "updatedAt": "string",      "sidebarState": "idle",      "sidebarStateChangedAt": "string",      "usage": {        "used": 0,        "size": 0,        "inputTokens": 0,        "cachedInputTokens": 0,        "outputTokens": 0,        "reasoningOutputTokens": 0,        "totalTokens": 0,        "costAmount": 0,        "costCurrency": "string",        "costKind": "reported"      },      "latestAttentionSequence": 0,      "lastSeenAttentionSequence": 0,      "unreadCount": 0,      "hasUnreadError": true,      "actionRequired": true,      "actionRequiredKind": "question",      "pendingPlanApproval": true,      "parentSessionId": "string",      "labels": {        "property1": "string",        "property2": "string"      }    }  ],  "workspaces": [    {      "id": "string",      "serverId": "string",      "projectId": "string",      "name": "string",      "hasCustomName": true,      "rootDirectory": "string",      "isArchived": true,      "archivedAt": "string",      "createdAt": "string",      "updatedAt": "string",      "sidebarPosition": "string",      "sidebarOrderRevision": 0,      "labels": {        "property1": "string",        "property2": "string"      }    }  ],  "panes": [    {      "id": "string",      "workspaceId": "string",      "providerId": "string",      "paneType": "string",      "title": "string",      "resourceKind": "string",      "resourceId": "string",      "metadata": "string",      "liveTitle": "string",      "terminalActivity": "working",      "revision": 0,      "position": "string",      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}